For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
        • GETGet Workspace Auth Connections
        • POSTCreate Workspace Auth Connection
        • DELDelete Workspace Auth Connection
        • PATCHUpdate Workspace Auth Connection
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceWorkspaceAuth Connections

Get Workspace Auth Connections

GET
/v1/workspace/auth-connections
GET
/v1/workspace/auth-connections
$curl https://api.elevenlabs.io/v1/workspace/auth-connections \
> -H "Content-Type: application/json"
1{
2 "auth_connections": [
3 {
4 "auth_type": "oauth2_client_credentials",
5 "client_id": "gho_1234567890abcdef",
6 "id": "ac-9876543210abcdef",
7 "name": "GitHub API Client Credentials",
8 "provider": "GitHub",
9 "token_url": "https://github.com/login/oauth/access_token",
10 "basic_auth_in_header": true,
11 "custom_headers": {
12 "X-Custom-Header": "CustomValue"
13 },
14 "extra_params": {
15 "audience": "api.github.com"
16 },
17 "scopes": [
18 "repo",
19 "user"
20 ],
21 "used_by": {
22 "tools": [
23 {
24 "type": "available",
25 "access_level": "admin",
26 "created_at_unix_secs": 1685000000,
27 "id": "tool-001",
28 "name": "Code Analyzer"
29 }
30 ],
31 "mcp_servers": [
32 {
33 "type": "available",
34 "access_level": "admin",
35 "created_at_unix_secs": 1684000000,
36 "id": "mcp-123",
37 "name": "Primary MCP Server"
38 }
39 ],
40 "integration_connections": [
41 {
42 "id": "int-456",
43 "name": "GitHub Integration"
44 }
45 ]
46 }
47 }
48 ]
49}
Get all auth connections for the workspace
Was this page helpful?
Previous

Create Workspace Auth Connection

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
auth_connectionslist of objects

Errors

422
Unprocessable Entity Error